Summary:	GNU ccAudio2 - a C++ class framework for processing audio files
Summary(pl.UTF-8):	GNU ccAudio2 - klasa C++ do przetwarzania plików dźwiękowych
Name:		ccaudio2
Version:	2.2.0
Release:	1
License:	LGPL v3+
Group:		Libraries
Source0:	http://ftp.gnu.org/gnu/ccaudio/%{name}-%{version}.tar.gz
# Source0-md5:	c38d22592070379b0a8ff8fdf1144ff9
URL:		http://www.gnu.org/software/ccaudio/
BuildRequires:	libgsm-devel
BuildRequires:	libstdc++-devel
BuildRequires:	pkgconfig
BuildRequires:	speex-devel
BuildRequires:	ucommon-devel >= 7.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The GNU ccAudio package offers a highly portable C++ class framework
for developing applications which manipulate audio streams and various
disk based audio file formats. At the moment ccaudio is primarly a
class framework for handling .au, .wav (RIFF), and various .raw audio
encoding formats under POSIX and Win32 systems, though it may expand
to become a general purpose audio and soundcard support library.
Support for controlling CD audio devices has recently been added as
well as support for codecs and other generic audio processing
services.

%description -l pl.UTF-8
Pakiet GNU ccAudio oferuje przenośną klasę C++ do tworzenia aplikacji
zmieniających strumienie dźwiękowe i różne formaty plików na dyskach.
Aktualnie obsługuje pliki .au, .wav (RIFF) i różne formaty kodowania
.raw w systemach zgodnych z POSIX oraz Win32, może się jednak
rozrosnąć, aby zostać biblioteką ogólnego użytku do dźwięku i kart
dźwiękowych. Ostatnio została dodana obsługa sterowania urządzeniami
z płytami CD Audio, jak także obsługa kodeków i innych ogólnych usług
przetwarzających dźwięk.

%package devel
Summary:	Header files for ccaudio2 library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki ccaudio2
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libgsm-devel
Requires:	libstdc++-devel
Requires:	speex-devel
Requires:	ucommon-devel >= 7.0.0

%description devel
Header files for ccaudio2 library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki ccaudio2.

%package static
Summary:	Static ccaudio2 library
Summary(pl.UTF-8):	Statyczna biblioteka ccaudio2
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static ccaudio2 library.

%description static -l pl.UTF-8
Statyczna biblioteka ccaudio2.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libccaudio2.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README SUPPORT THANKS TODO
%attr(755,root,root) %{_bindir}/audiotool
%attr(755,root,root) %{_bindir}/tonetool
%attr(755,root,root) %{_libdir}/libccaudio2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libccaudio2.so.2
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/tones.conf
%{_mandir}/man1/audiotool.1*
%{_mandir}/man1/tonetool.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libccaudio2.so
%{_includedir}/ccaudio2.h
%{_pkgconfigdir}/ccaudio2.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libccaudio2.a
%changelog
* Thu Apr 14 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ccaudio2.git;a=log;h=master

* Thu Apr 14 2016 Jakub Bogusz <qboosh@pld-linux.org> 2edc3c8
- updated to 2.2.0, requires ucommon 7.0.0 now

* Mon Nov 24 2014 Jan Rękorajski <baggins@pld-linux.org> 4994cf0
- release 2 (by relup.sh)

* Thu May 29 2014 Jakub Bogusz <qboosh@pld-linux.org> 883fe27
- updated to 2.1.3

* Mon Nov 11 2013 Jakub Bogusz <qboosh@pld-linux.org> 7e9c7d0
- updated to 2.1.1

* Tue Apr 08 2008 Elan Ruusamäe <glen@pld-linux.org> 29caede
- unify ftp.gnu.org urls

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 455f65c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 85543ee
- converted to UTF-8

* Mon Jul 25 2005 blekot <blekot@pld-linux.org> 299f0c2
- up to 0.7.7

* Sat Jul 16 2005 undefine <undefine@pld-linux.org> 4266482
- up to 0.7.6

* Sat Jun 25 2005 Jakub Bogusz <qboosh@pld-linux.org> 74a982d
- pl cosmetics

* Thu Jun 23 2005 undefine <undefine@pld-linux.org> 4927472
- rel 1

* Thu Jun 23 2005 undefine <undefine@pld-linux.org> c73982b
- BR: libgsm,libstdc++-devel

* Thu Jun 23 2005 undefine <undefine@pld-linux.org> f4ae7ab
- initial

